=head1 NAME

Gtk2::ProgressBar - wrapper for GtkProgressBar

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Glib::Object::_Unregistered::GtkProgress
                      +----Gtk2::ProgressBar



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable



=cut


=head1 METHODS

=head2 widget = Gtk2::ProgressBar-E<gt>B<new> 

=head2 ellipsizemode = $pbar-E<gt>B<get_ellipsize> 

Since: gtk+ 2.6

=head2 $pbar-E<gt>B<set_ellipsize> ($mode)

=over

=item * $mode (Pango::EllipsizeMode) 

=back

Since: gtk+ 2.6

=head2 double = $pbar-E<gt>B<get_fraction> 

=head2 $pbar-E<gt>B<set_fraction> ($fraction)

=over

=item * $fraction (double) 

=back

=head2 progressbarorientation = $pbar-E<gt>B<get_orientation> 

=head2 $pbar-E<gt>B<set_orientation> ($orientation)

=over

=item * $orientation (Gtk2::ProgressBarOrientation) 

=back

=head2 $pbar-E<gt>B<pulse> 

=head2 double = $pbar-E<gt>B<get_pulse_step> 

=head2 $pbar-E<gt>B<set_pulse_step> ($fraction)

=over

=item * $fraction (double) 

=back

=head2 string or undef = $pbar-E<gt>B<get_text> 

=head2 $pbar-E<gt>B<set_text> ($text)

=over

=item * $text (string or undef) 

=back



=cut


=head1 PROPERTIES

=over

=item 'activity-blocks' (Glib::UInt : default 5 : readable / writable / private / static-nick / static-blurb)

The number of blocks which can fit in the progress bar area in activity mode (Deprecated)

=item 'activity-step' (Glib::UInt : default 3 : readable / writable / private / static-nick / static-blurb)

The increment used for each iteration in activity mode (Deprecated)

=item 'adjustment' (Gtk2::Adjustment : default undef : readable / writable / private / static-nick / static-blurb)

The GtkAdjustment connected to the progress bar (Deprecated)

=item 'bar-style' (Gtk2::ProgressBarStyle : default "continuous" : readable / writable / private / static-nick / static-blurb)

Specifies the visual style of the bar in percentage mode (Deprecated)

=item 'discrete-blocks' (Glib::UInt : default 10 : readable / writable / private / static-nick / static-blurb)

The number of discrete blocks in a progress bar (when shown in the discrete style)

=item 'ellipsize' (Pango::EllipsizeMode : default "none" : readable / writable / private / static-nick / static-blurb)

The preferred place to ellipsize the string, if the progress bar does not have enough room to display the entire string, if at all.

=item 'fraction' (double : default 0 : readable / writable / private / static-nick / static-blurb)

The fraction of total work that has been completed

=item 'orientation' (Gtk2::ProgressBarOrientation : default "left-to-right" : readable / writable / private / static-nick / static-blurb)

Orientation and growth direction of the progress bar

=item 'pulse-step' (double : default 0.1 : readable / writable / private / static-nick / static-blurb)

The fraction of total progress to move the bouncing block when pulsed

=item 'text' (string : default undef : readable / writable / private / static-nick / static-blurb)

Text to be displayed in the progress bar

=back



=cut


=head1 STYLE PROPERTIES

=over

=item 'min-horizontal-bar-height' (integer : default 20 : readable / writable)

Minimum horizontal height of the progress bar

=item 'min-horizontal-bar-width' (integer : default 150 : readable / writable)

The minimum horizontal width of the progress bar

=item 'min-vertical-bar-height' (integer : default 80 : readable / writable)

The minimum vertical height of the progress bar

=item 'min-vertical-bar-width' (integer : default 22 : readable / writable)

The minimum vertical width of the progress bar

=item 'xspacing' (integer : default 7 : readable / writable)

Extra spacing applied to the width of a progress bar.

=item 'yspacing' (integer : default 7 : readable / writable)

Extra spacing applied to the height of a progress bar.

=back



=cut


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::ProgressBarOrientation

=over

=item * 'left-to-right' / 'GTK_PROGRESS_LEFT_TO_RIGHT'

=item * 'right-to-left' / 'GTK_PROGRESS_RIGHT_TO_LEFT'

=item * 'bottom-to-top' / 'GTK_PROGRESS_BOTTOM_TO_TOP'

=item * 'top-to-bottom' / 'GTK_PROGRESS_TOP_TO_BOTTOM'

=back


=head2 enum Gtk2::ProgressBarStyle

=over

=item * 'continuous' / 'GTK_PROGRESS_CONTINUOUS'

=item * 'discrete' / 'GTK_PROGRESS_DISCRETE'

=back


=head2 enum Pango::EllipsizeMode

=over

=item * 'none' / 'PANGO_ELLIPSIZE_NONE'

=item * 'start' / 'PANGO_ELLIPSIZE_START'

=item * 'middle' / 'PANGO_ELLIPSIZE_MIDDLE'

=item * 'end' / 'PANGO_ELLIPSIZE_END'

=back




=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Glib::Object::_Unregistered::GtkProgress>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

